<?
//
//
require_once($_SERVER['DOCUMENT_ROOT']."/jquery/inc/system.php"); 
//
//
if($user['adm'] <= 0){
header('location:/index/');
exit();
}
//
//
head([]);
//
//
echo logs();
//
//
$id = num($_GET['id']);
		$users = DB::$dbs->queryFetch('SELECT * FROM `users` WHERE `id` = ? LIMIT 1', [$id]);
		if(empty($users['id'])): header('location: /profile/'.$user['id']); exit; endif;
//
//
if(isset($_POST['ok'])):
			$type = text($_POST['type']);
			$cause = text($_POST['cause']);
			$time = text($_POST['time']);
			//
			//
			if($users['adm'] != 0):
			    $err = 'Нельзя банить администрацию';
			    endif;
			    //
			    //
			    if($users['ban_time'] > time()):
			    $err = 'Игрок уже забанен';
			    endif;
			//
//
			if(isset($err)):
				err2($err);
				header('location: ?id='.$id); exit;
			else:
DB::$dbs->query('UPDATE `users` SET `ban_time` = ?,`ban_type` = ?,`ban_cause` = ?,`ban_admin` = ? WHERE `id` = ? LIMIT 1', array(time()+$time*60,$type,$cause,$user['id'],$id));
				ok2('Игрок успешно забанен');
				header('location: ?id='.$id); exit;
			endif;
		        endif;
//
//
?>
<div class="poster -gas">
		    <div class="start">
		        <center>
		            <span class="title-wqi">Бан игрока <?=$users['name'];?></span>
		        </center>
		        <div class="menu-not">
		        <form action="" method="post">
Тип бана: <div class="stats2"></div>
<select name="type">
<?
$dat = array('Предупреждение' => '1', 'Блокировка чата и почты' => '2', 'Блокировка аккаунта' => '3');
foreach ($dat as $key => $value) { 
?><option value="<?=$value;?>"><?=$key;?></option>
<?
}
?>
</select><br><div class="hrs"></div>
Причина бана: <div class="stats2"></div>
<select name="cause">
<?
$dat = array('Реклама сторонних ресурсов' => '1', 'Спам в почте' => '2', 'Спам в чате' => '3', 'Продажа аккаунта, ордена' => '4', 'Покупка аккаунта, ордена' => '5', 'Мошенничество' => '6', 'Использование багов' => '7', 'Обсуждение действий администрации' => '8', 'Обсуждение на тему политики' => '9', 'Оскорбление/Мат' => '10');
foreach ($dat as $key => $value) { 
?>
<option value="<?=$value;?>"><?=$key;?></option>
<?
}
?>
</select><br>
Время бана: <div class="stats2"></div>
<select name="time">
<div class="stats2"></div>
<?
$dat = array('5 минут (Предупреждение)' => '5', '1 час' => '60', '2 часа' => '120', '4 часа' => '240', '8 часов' => '480', '16 часов' => '960', '1 день' => '1440', '7 дней' => '10080', '1 месяц' => '44640', '1 год' => '525600', 'Навсегда' => '52560000');
foreach ($dat as $key => $value) { 
?>
<option value="<?=$value;?>"><?=$key;?></option>
<?
}
?>
</select>
<input class="" type="submit" name="ok" value="Забанить" />
</form>
</div>
		        </div>
		        </div>
<?
//
//
foot([]);
//
//
?>